package com.xdf.creative;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import springfox.documentation.swagger2.annotations.EnableSwagger2;


@EnableConfigurationProperties
@EnableSwagger2
@ComponentScan(value = "com.xdf.**.**")
@MapperScan({"com.xdf.creative.**.mapper"})
@ServletComponentScan
@EnableTransactionManagement
@SpringBootApplication
public class CreativeApplication {

    public static void main(String[] args) {
        SpringApplication.run(CreativeApplication.class, args);
    }

}
